Test a message template
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId}/test
clientIdstringClient ID
messageTemplateIdinteger<int64>Message template ID
acceptstringGenerated from available response content types
recipientIdsarray<p>Comma-separated list of recipient IDs from the provided recipient list ("recipientListId"). If a recipient is not found in the provided recipient list, no test mailing will be sent to this recipient.</p>
mimeTypestring<p>Mime type of the mailing during sending (use an empty string for the mailing mime type)</p>
subjectstring<p>Subject of a test message template (if message template has a subject set)</p>
senderAddressstring<p>Sender address for test message template (if message template has a sender address set)</p>
recipientListIdinteger<int64>ID of the recipient list for the test mailing
202The message template was sent successfully.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId}/test \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'recipientIds=array' \
--data 'recipientListId=integer<int64>'